Intermittent object-src-url-blocked.sub.html,browser_909779_overflow_toolbars_new_window.js | application crashed [@ CheckSelfTime]

RESOLVED INCOMPLETE

Status

()

Core
JavaScript: GC
--
critical
RESOLVED INCOMPLETE
a year ago
9 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

See Also: → bug 1366217

Comment 1

a year ago
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1367055&startday=2017-06-26&endday=2017-07-02&tree=all
https://treeherder.mozilla.org/logviewer.html#?job_id=114587311&repo=autoland

14:36:28     INFO -  266 INFO TEST-START | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js
14:36:29     INFO -  GECKO(1424) | Parent Mark Roots time = 0.000ms with 0.000ms remaining, child Mark C and JS stacks time 0.004ms
14:36:29     INFO -  TEST-INFO | Main app process: exit 1
14:36:29     INFO -  Buffered messages logged at 14:36:28
14:36:29     INFO -  267 INFO Entering test bound
14:36:29     INFO -  268 INFO TEST-PASS | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | Should start with a non-overflowing toolbar. -
14:36:29     INFO -  269 INFO TEST-PASS | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | Should have an overflowing toolbar. -
14:36:29     INFO -  270 INFO TEST-PASS | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | Should have fewer children. -
14:36:29     INFO -  271 INFO TEST-PASS | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | Other window should have an overflowing toolbar. -
14:36:29     INFO -  Buffered messages finished
14:36:29    ERROR -  272 ERROR TEST-UNEXPECTED-FAIL | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | application terminated with exit code 1
14:36:29     INFO -  runtests.py | Application ran for: 0:00:27.690000
14:36:29     INFO -  zombiecheck | Reading PID log: c:\users\genericworker\appdata\local\temp\tmpn7lhsrpidlog
14:36:29     INFO -  mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/avcpC4MTSRSwDAb-YlhEXQ/artifacts/public/build/target.crashreporter-symbols.zip
14:36:44     INFO -  mozcrash Copy/paste: Z:\task_1500124169\build\win32-minidump_stackwalk.exe c:\users\genericworker\appdata\local\temp\tmpgf9etq.mozrunner\minidumps\21ee2719-5aac-4469-a09f-b266b61caff7.dmp c:\users\genericworker\appdata\local\temp\tmpj_fpiv
14:36:57     INFO -  mozcrash Saved minidump as Z:\task_1500124169\build\blobber_upload_dir\21ee2719-5aac-4469-a09f-b266b61caff7.dmp
14:36:57     INFO -  mozcrash Saved app info as Z:\task_1500124169\build\blobber_upload_dir\21ee2719-5aac-4469-a09f-b266b61caff7.extra
14:36:57  WARNING -  PROCESS-CRASH | browser/components/customizableui/test/browser_909779_overflow_toolbars_new_window.js | application crashed [@ CheckSelfTime]
14:36:57     INFO -  Crash dump filename: c:\users\genericworker\appdata\local\temp\tmpgf9etq.mozrunner\minidumps\21ee2719-5aac-4469-a09f-b266b61caff7.dmp
14:36:57     INFO -  Operating system: Windows NT
14:36:57     INFO -                    6.1.7601 Service Pack 1
14:36:57     INFO -  CPU: x86
14:36:57     INFO -       GenuineIntel family 6 model 63 stepping 2
14:36:57     INFO -       8 CPUs
14:36:57     INFO -  GPU: UNKNOWN
14:36:57     INFO -  Crash reason:  EXCEPTION_BREAKPOINT
14:36:57     INFO -  Crash address: 0x6007c657
14:36:57     INFO -  Process uptime: 28 seconds
14:36:57     INFO -  Thread 0 (crashed)
14:36:57     INFO -   0  xul.dll!CheckSelfTime [Statistics.cpp:a52251be8386 : 794 + 0x6]
14:36:57     INFO -      eip = 0x6007c657   esp = 0x0014e9c0   ebp = 0x0014e9c8   ebx = 0x0be42251
14:36:57     INFO -      esi = 0x67b1cf70   edi = 0x00000510   eax = 0x5dbce824   ecx = 0x67b106ef
14:36:57     INFO -      edx = 0x00000060   efl = 0x00000206
14:36:57     INFO -      Found by: given as instruction pointer in context
14:36:57     INFO -   1  xul.dll!LongestPhaseSelfTime [Statistics.cpp:a52251be8386 : 810 + 0x1e]
14:36:57     INFO -      eip = 0x6007cecb   esp = 0x0014e9d0   ebp = 0x0014ef30
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   2  xul.dll!js::gcstats::Statistics::endSlice() [Statistics.cpp:a52251be8386 : 976 + 0xe]
14:36:57     INFO -      eip = 0x6007ec6c   esp = 0x0014ef38   ebp = 0x0014efa8
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   3  xul.dll!js::gc::GCRuntime::gcCycle(bool,js::SliceBudget &,JS::gcreason::Reason) [jsgc.cpp:a52251be8386 : 6848 + 0x47]
14:36:57     INFO -      eip = 0x60047c75   esp = 0x0014efb0   ebp = 0x0014f030
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   4  xul.dll!js::gc::GCRuntime::collect(bool,js::SliceBudget,JS::gcreason::Reason) [jsgc.cpp:a52251be8386 : 6980 + 0xd]
14:36:57     INFO -      eip = 0x60044774   esp = 0x0014f038   ebp = 0x0014f050
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   5  xul.dll!js::gc::GCRuntime::gcSlice(JS::gcreason::Reason,__int64) [jsgc.cpp:a52251be8386 : 7067 + 0x72]
14:36:57     INFO -      eip = 0x60047e15   esp = 0x0014f058   ebp = 0x0014f0a4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   6  xul.dll!JS::IncrementalGCSlice(JSContext *,JS::gcreason::Reason,__int64) [jsgc.cpp:a52251be8386 : 7933 + 0x1a]
14:36:57     INFO -      eip = 0x60034f8d   esp = 0x0014f0ac   ebp = 0x0014f0b8
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   7  xul.dll!nsJSContext::GarbageCollectNow(JS::gcreason::Reason,nsJSContext::IsIncremental,nsJSContext::IsShrinking,__int64) [nsJSEnvironment.cpp:a52251be8386 : 1382 + 0xd]
14:36:57     INFO -      eip = 0x5ea093e6   esp = 0x0014f0c0   ebp = 0x0014f0e4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   8  xul.dll!InterSliceGCRunnerFired(mozilla::TimeStamp,void *) [nsJSEnvironment.cpp:a52251be8386 : 1975 + 0x27]
14:36:57     INFO -      eip = 0x5ea0c257   esp = 0x0014f0ec   ebp = 0x0014f174
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -   9  xul.dll!CollectorRunner::Run() [nsJSEnvironment.cpp:a52251be8386 : 261 + 0x10]
14:36:57     INFO -      eip = 0x5ea11c9c   esp = 0x0014f17c   ebp = 0x0014f1d4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  10  xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:a52251be8386 : 1437 + 0x6]
14:36:57     INFO -      eip = 0x5e22b558   esp = 0x0014f1dc   ebp = 0x0014f340
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  11  firefox.exe!sandbox::GetArgs(sandbox::CrossCallParamsEx *,sandbox::IPCParams *,void * * const) [sharedmem_ipc_server.cc:a52251be8386 : 180 + 0x6]
14:36:57     INFO -      eip = 0x0021bcb8   esp = 0x0014f204   ebp = 0x0014f340
14:36:57     INFO -      Found by: stack scanning
14:36:57     INFO -  12  xul.dll!NS_ProcessNextEvent(nsIThread *,bool) [nsThreadUtils.cpp:a52251be8386 : 489 + 0xd]
14:36:57     INFO -      eip = 0x5e22ac94   esp = 0x0014f348   ebp = 0x0014f360
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  13  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:a52251be8386 : 97 + 0xa]
14:36:57     INFO -      eip = 0x5e4cf611   esp = 0x0014f368   ebp = 0x0014f38c
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  14  xul.dll!MessageLoop::RunHandler() [message_loop.cc:a52251be8386 : 313 + 0x8]
14:36:57     INFO -      eip = 0x5e4ba0c4   esp = 0x0014f394   ebp = 0x0014f3c4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  15  xul.dll!MessageLoop::Run() [message_loop.cc:a52251be8386 : 293 + 0x7]
14:36:57     INFO -      eip = 0x5e4b9e7a   esp = 0x0014f3cc   ebp = 0x0014f3e4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  16  xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:a52251be8386 : 156 + 0xc]
14:36:57     INFO -      eip = 0x5f23e401   esp = 0x0014f3ec   ebp = 0x0014f3f4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  17  xul.dll!nsAppShell::Run() [nsAppShell.cpp:a52251be8386 : 271 + 0x8]
14:36:57     INFO -      eip = 0x5f281ef5   esp = 0x0014f3fc   ebp = 0x0014f404
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  18  xul.dll!nsAppStartup::Run() [nsAppStartup.cpp:a52251be8386 : 287 + 0x6]
14:36:57     INFO -      eip = 0x5ff2471f   esp = 0x0014f40c   ebp = 0x0014f418
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  19  xul.dll!XREMain::XRE_mainRun() [nsAppRunner.cpp:a52251be8386 : 4596 + 0xc]
14:36:57     INFO -      eip = 0x5ff75a53   esp = 0x0014f420   ebp = 0x0014f5f8
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  20  xul.dll!XREMain::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:a52251be8386 : 4779 + 0x8]
14:36:57     INFO -      eip = 0x5ff740d5   esp = 0x0014f600   ebp = 0x0014f640
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  21  xul.dll!XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:a52251be8386 : 4874 + 0x12]
14:36:57     INFO -      eip = 0x5ff73cf7   esp = 0x0014f648   ebp = 0x0014f754
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  22  xul.dll!mozilla::BootstrapImpl::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [Bootstrap.cpp:a52251be8386 : 45 + 0xe]
14:36:57     INFO -      eip = 0x5ff7cf90   esp = 0x0014f75c   ebp = 0x0014f768
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  23  firefox.exe!do_main [nsBrowserApp.cpp:a52251be8386 : 236 + 0x20]
14:36:57     INFO -      eip = 0x002016f5   esp = 0x0014f770   ebp = 0x0014f8ac
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  24  firefox.exe!NS_internal_main(int,char * *,char * *) [nsBrowserApp.cpp:a52251be8386 : 309 + 0xc]
14:36:57     INFO -      eip = 0x0020136e   esp = 0x0014f8b4   ebp = 0x0014f8e4
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  25  firefox.exe!wmain [nsWindowsWMain.cpp:a52251be8386 : 115 + 0xf]
14:36:57     INFO -      eip = 0x002019a5   esp = 0x0014f8ec   ebp = 0x0014f924
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  26  firefox.exe!__scrt_common_main_seh [exe_common.inl : 253 + 0x1d]
14:36:57     INFO -      eip = 0x002206c3   esp = 0x0014f92c   ebp = 0x0014f96c
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  27  kernel32.dll!BaseThreadInitThunk + 0x12
14:36:57     INFO -      eip = 0x76c83c45   esp = 0x0014f974   ebp = 0x0014f978
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  28  ntdll.dll!__RtlUserThreadStart + 0x27
14:36:57     INFO -      eip = 0x76fe37f5   esp = 0x0014f980   ebp = 0x0014f9b8
14:36:57     INFO -      Found by: call frame info
14:36:57     INFO -  29  ntdll.dll!_RtlUserThreadStart + 0x1b
14:36:57     INFO -      eip = 0x76fe37c8   esp = 0x0014f9c0   ebp = 0x0014f9d0
14:36:57     INFO -      Found by: call frame info
Summary: Intermittent object-src-url-blocked.sub.html | application crashed [@ CheckSelfTime] → Intermittent object-src-url-blocked.sub.html,browser_909779_overflow_toolbars_new_window.js | application crashed [@ CheckSelfTime]

Comment 3

11 months ago
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1367055&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 4

11 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1367055&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 5

11 months ago
3 failures in 1008 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1367055&startday=2017-07-24&endday=2017-07-30&tree=all
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.